NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.Features.GeodesicChamferBuilder Class Reference

Represents a NXOpen.Features.GeodesicChamfer builder for GeodesicChamfer command. More...

Inheritance diagram for NXOpen.Features.GeodesicChamferBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.Expression Distance [get]
 Returns the distance More...
 
unsafe NXOpen.Curve FirstCurve [get, set]
 Returns or sets the first selected curve in the section More...
 
unsafe double FirstPoint [get, set]
 Returns or sets the first selection point More...
 
unsafe NXOpen.Section FirstSection [get, set]
 Returns or sets the first section of curves to chamfer More...
 
unsafe NXOpen.Curve SecondCurve [get, set]
 Returns or sets the second selected curve in the section More...
 
unsafe double SecondPoint [get, set]
 Returns or sets the second selection point More...
 
unsafe NXOpen.Section SecondSection [get, set]
 Returns or sets the second section of curves to chamfer More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 

Detailed Description

Represents a NXOpen.Features.GeodesicChamfer builder for GeodesicChamfer command.

To create a new instance of this class, use NXOpen.Features.GeodesicSketchCollection.CreateGeodesicChamferBuilder

Default values.

Property Value

Distance.Value

10 (millimeters part), 0.5 (inches part)

Created in NX10.0.0

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.GeodesicChamferBuilder.Distance
get

Returns the distance

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Curve NXOpen.Features.GeodesicChamferBuilder.FirstCurve
getset

Returns or sets the first selected curve in the section

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.GeodesicChamferBuilder.FirstPoint
getset

Returns or sets the first selection point

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.GeodesicChamferBuilder.FirstSection
getset

Returns or sets the first section of curves to chamfer

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Curve NXOpen.Features.GeodesicChamferBuilder.SecondCurve
getset

Returns or sets the second selected curve in the section

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.GeodesicChamferBuilder.SecondPoint
getset

Returns or sets the second selection point

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.GeodesicChamferBuilder.SecondSection
getset

Returns or sets the second section of curves to chamfer

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.